Name:		dominos
Version:	1.0
Release:	%mkrel 4
Summary:	Dominos is a puzzle game
URL:		http://code.google.com/p/dominos/
Group:		Games/Puzzles
License:	GPL 
Source0:	http://dominos.googlecode.com/files/Dominos.zip
Source1:        %{name}.png
BuildRequires:	desktop-file-utils
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Requires:       python
Requires:       pygame

%description
Dominos is a puzzle game based on the Sino-European domino set, which consists of 28 dominoes. 
For more information about Dominos and Game rules please read the game documentation. or you can
surf the Wikipedia page about Dominos.

%prep
%setup -q -n Dominos

%build

%install
rm -rf $RPM_BUILD_ROOT
install -dm 755 %{buildroot}%{_datadir}/games/%{name}
cp -a images sounds *.py %{buildroot}%{_datadir}/games/%{name}

# launcher
mkdir -p %buildroot%_bindir/
cat > %buildroot%_bindir/%{name} << EOF
#!/bin/sh
cd %_datadir/games/%{name}/
python Dominos.py $*
EOF

chmod +x %{buildroot}%{_bindir}/%{name}

# menu-entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Dominos
Type=Application
Terminal=false
Comment=Dominos is a puzzle game
Exec=%{name}
Icon=%{name}.png
Categories=Game;X-MandrivaLinux-MoreApplications-Games-Puzzles;
EOF

# icons
mkdir -p %buildroot{%_iconsdir,%_liconsdir,%_miconsdir}
install -m 0644 %SOURCE1 %buildroot/%_miconsdir/%{name}.png
convert -scale 16 %buildroot/%_miconsdir/%name.png %buildroot/%_miconsdir/%name.png
install -m 0644 %SOURCE1 %buildroot/%_iconsdir/%{name}.png
convert -scale 32 %buildroot/%_iconsdir/%name.png %buildroot/%_iconsdir/%name.png
install -m 0644 %SOURCE1 %buildroot/%_liconsdir/%{name}.png



%clean
rm -rf %{buildroot}

%post
%{update_menus}


%postun
%{clean_menus}

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_datadir}/games/%{name}
%{_datadir}/applications/%{name}.desktop
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Thu Aug 16 2013 billybot <billybot> 1.0-4pclos2013
- update python 2.7

* Tue Oct 18 2011 Archie Arevalo <pclinuxos.ph at gmail.com> 1.0-3pclos2011
- Rebuild for x86_64

* Tue May 18 2010 Texstar <texstar at gmail.com> 1.0-2pclos2010
- add missing dependency libSDL_mixer1.2

* Sat Jun 13 2009 slick50 <lxgator@gmail.com> 1.0-1pclos2009
- initial pkg

